Hacking 11.0.1 firmware and still no SXOS update

Status
Not open for further replies.

Maupiti

Hacking is so « Nice »
Member
Joined
Sep 16, 2018
Messages
646
Trophies
0
XP
1,227
Country
France
FYI - any new game / update/ dlc that requires 11.0.1 can most of the time be patched to use lower or no FW requirements using NSCBuilder or Renxpack, in case SX OS users didn't know or didn't want to upgrade. Good luck, and Have fun!
It is true, but probably, not for so long, if Nintendo change the sdk on future firmwares updates
 
  • Like
Reactions: BigOnYa

BigOnYa

A Very-Large Member
Member
Joined
Jan 11, 2021
Messages
1,417
Trophies
1
Age
48
XP
2,655
Country
United States
It is true, but probably, not for so long, if Nintendo change the sdk on future firmwares updates
Then devs of these apps will update too, eventually, just like before. It's just nice for people to have the options and not be forced to update to 11.0.1 if they don't want to. Now "accidently" already updated is another story there yea.
 
Last edited by BigOnYa,
  • Like
Reactions: Maupiti

Maupiti

Hacking is so « Nice »
Member
Joined
Sep 16, 2018
Messages
646
Trophies
0
XP
1,227
Country
France
Then devs of these apps will update too, eventually, just like before
Only if the sdk is leaked, and could be private also.
The fact is only people with a switch RCM are “protected “ from anything Nintendo can “Throw “, as it is a hardware vulnerability.
 
Last edited by Maupiti,
  • Like
Reactions: BigOnYa

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,327
Trophies
2
XP
16,517
Country
United States
FYI - any new game / update/ dlc that requires 11.0.1 can most of the time be patched to use lower or no FW requirements using NSCBuilder or Renxpack, in case SX OS users didn't know or didn't want to upgrade. Good luck, and Have fun!
Then devs of these apps will update too, eventually, just like before. It's just nice for people to have the options and not be forced to update to 11.0.1 if they don't want to. Now "accidently" already updated is another story there yea.
Eventually, newer games will require newer system versions because of the newer software development kits used to make the games. Even if you patch out the soft version requirements and the encryption, there will still be assets the game expects that are absent on the system, which will result in the game not working. For example, if a newer game wants to use the new overclocking function for loading times but the system version is too low, the game will crash. The only way around SDK issues is to update the system version. If updates for SX OS have ceased, Atmosphere will eventually be required to play newer games.
 

BigOnYa

A Very-Large Member
Member
Joined
Jan 11, 2021
Messages
1,417
Trophies
1
Age
48
XP
2,655
Country
United States
Eventually, newer games will require newer system versions because of the newer software development kits used to make the games. Even if you patch out the soft version requirements and the encryption, there will still be assets the game expects that are absent on the system, which will result in the game not working. For example, if a newer game wants to use the new overclocking function for loading times but the system version is too low, the game will crash. The only way around SDK issues is to update the system version. If updates for SX OS have ceased, Atmosphere will eventually be required to play newer games.
Agreed, but it is an option for some right now if they want to explore it. Just pointing it out. :)
 

britain4

Well-Known Member
Member
Joined
Jun 16, 2014
Messages
402
Trophies
0
Age
28
Location
Sheffield
XP
1,044
Country
Last time SX "disappeared" I was pretty sure they'd resurface again which they did with the 3.1.0 update. This time round they seem to have been stopped from manufacturing or selling the chips so the incentive to keep updating seems to have disappeared. I hope I'm wrong but we will find out in time.
 

Maupiti

Hacking is so « Nice »
Member
Joined
Sep 16, 2018
Messages
646
Trophies
0
XP
1,227
Country
France
Eventually, newer games will require newer system versions because of the newer software development kits used to make the games. Even if you patch out the soft version requirements and the encryption, there will still be assets the game expects that are absent on the system, which will result in the game not working. For example, if a newer game wants to use the new overclocking function for loading times but the system version is too low, the game will crash. The only way around SDK issues is to update the system version. If updates for SX OS have ceased, Atmosphere will eventually be required to play newer games.
Yeah, sad to say, but only people with switch RCM , are “protected “ against anything Nintendo could Throw, because It’s a hardware vulnerability.
 

dsrules

Well-Known Member
Member
Joined
Sep 20, 2005
Messages
7,344
Trophies
1
XP
4,548
Country
Mistyped, I was meaning emuNAND of course. OFW is the original one (around version 5 if I remember well).
as I said the tutorial is out there which requires dumping nand, edit then rewrite nand, which requires a lot of time
not really worth it since no games/updates really requires 11.0.1
 
  • Like
Reactions: GeorgeManim

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,327
Trophies
2
XP
16,517
Country
United States
Yeah, sad to say, but only people with switch RCM , are “protected “ against anything Nintendo could Throw, because It’s a hardware vulnerability.
If you have an RCM exploitable model, an ipatched Switch on 4.1.0 that hasn't connected to the internet, or a Switch with a TX modchip, you can use Atmosphere. SX OS is no longer relevant.
 
  • Like
Reactions: The Catboy

djpannda

GBAtemp's Pannda
Member
GBAtemp Patron
Joined
Sep 14, 2009
Messages
1,610
Trophies
2
XP
3,774
Country
United States
Eventually, newer games will require newer system versions because of the newer software development kits used to make the games. Even if you patch out the soft version requirements and the encryption, there will still be assets the game expects that are absent on the system, which will result in the game not working. For example, if a newer game wants to use the new overclocking function for loading times but the system version is too low, the game will crash. The only way around SDK issues is to update the system version. If updates for SX OS have ceased, Atmosphere will eventually be required to play newer games.
i already have a 2nd switch on Atmos full time but still hoping for SX update... XCI HDD was soo nice..
I still think Atmos needs. to be a bit more User friendly (sig patches etc) to be on the same level of LUNA... but Im excited to see what can be done on the switch now that its on the 2nd half of the life cycle
 

Maupiti

Hacking is so « Nice »
Member
Joined
Sep 16, 2018
Messages
646
Trophies
0
XP
1,227
Country
France
If you have an RCM exploitable model, an ipatched Switch on 4.1.0 that hasn't connected to the internet, or a Switch with a TX modchip, you can use Atmosphere. SX OS is no longer relevant.
I perfectly agree. Except, that I want to keep some “features “ of Sxos, which is not a problem at all for me, being using dual boot for years.. One of my EmuMMC will be updated, the other one will stay in whatever firmware Sxos can support ;). But all in one sd card, as I “hate” to switch or remove sd cards. Switch reader is too fragile.
And that’s what I love in hacking systems, everybody can make his/her own personal suitable system.
 
Last edited by Maupiti,

GeorgeManim

Member
Newcomer
Joined
May 3, 2020
Messages
8
Trophies
0
Age
31
XP
32
Country
Greece
Well, for me it's exactly because I paid them and I got used to how SX OS is working that I don't want to go to atmosphere.
But I will if I have no other choice left in the future, I'll go for it. For now, I'm almost exclusively using my hacked console as a mobile streaming machine and as an old game machine using emulators to play my golden old games. :) As such, I have plenty of time to give them if they have something to release.
 
  • Like
Reactions: XC-3730C and Inaki

Spider_Man

Well-Known Member
Member
Joined
May 28, 2015
Messages
3,460
Trophies
0
Age
35
XP
4,060
Country
United States
Hi,

I noticed FW 11.0.1 has been out for quite a while now and yet there are no SXOS boot.dat available.
How come ? Is there something I missed ?
Will this be updated or what ?

Thanks.
11.01 is not a manditory update, games do not require it as of yet, even the new mario 3d world doesnt need it.

as before, only major fws get the update, sx dont do small updates for a few system stability improvements.

when the next firmware comes out or when games require it, then it will come.

as 11.0 did following the arrest of the marketing and financing folks, the coders remain safe from nintendo for now.
 
  • Like
Reactions: XC-3730C

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
17,327
Trophies
2
XP
16,517
Country
United States
Until atmosphere has direct USB loading SXOS will be relevant. Once again Lassie, you are an atmosphere user. Therefore your opinion is not relevant. Go away. You are so tiresome. Don't you have something better to do than troll? Just shut up and go away. There are plenty of anti SX OS threads to hang out in and have your little circle jerk. Leave us the hell alone.

*Snip*
Imagine for a second that SX OS had all the features it had now, but it only worked on 2.0.0 or 3.0.0. that wouldn't be a very relevant CFW, considering so many games require system versions higher than that, no matter what patches you apply to those games. That's the very possible future of SX OS, and it's not irrelevant nor trolling to say so.

I recommend anyone on SX OS at least setup Atmosphere now so you have it in the future if/when you need it.
 

Foxi4

Endless Trash
Global Moderator
Joined
Sep 13, 2009
Messages
28,539
Trophies
2
Location
Gaming Grotto
XP
26,051
Country
Poland
There's no harm in having both, I don't see the point in all this bickering. Use whatever you want, SX OS may or may not get updates going forward - we won't know until we know and then we'll know. The legal conundrum they're in right now makes things rather uncertain, to say the very least. For now, Atmo works, so you can use it for things that don't work on SX OS, easy. You don't need to "wait for an update", you can use both solutions and launch whichever one you need at any given time.
 
Last edited by Foxi4,
  • Like
Reactions: Maupiti and BigOnYa

isoboy

Well-Known Member
Member
Joined
Dec 23, 2016
Messages
1,113
Trophies
0
XP
1,920
Country
United States
Imagine for a second that SX OS had all the features it had now, but it only worked on 2.0.0 or 3.0.0. that wouldn't be a very relevant CFW, considering so many games require system versions higher than that, no matter what patches you apply to those games. That's the very possible future of SX OS, and it's not irrelevant nor trolling to say so.

I recommend anyone on SX OS at least setup Atmosphere now so you have it in the future if/when you need it.

You're repeating this every other post you write. You're like an old stubborn creaking mill. While amusing, it's also boring.
 

dsrules

Well-Known Member
Member
Joined
Sep 20, 2005
Messages
7,344
Trophies
1
XP
4,548
Country
google translation
"Generally, we know that we have to wait for the SX team to update the startup file and enable the upgrade system that can correspond to each replacement of the old. Modify nand to support startup. The specific ideas are:
1. Use the white rabbit to upgrade nand offline to 11.0.1
2. Extract the upgraded nand
3. Modify full.00.bin in nand, replace 4 files, let this modified nand support boot
4.restore"
if this method works on future Nintendo firmware updates, then there is no need to worry or switch to atmosphere
 

rrocha

Developer
Developer
Joined
Nov 21, 2016
Messages
134
Trophies
0
XP
1,382
Country
Portugal
google translation
"Generally, we know that we have to wait for the SX team to update the startup file and enable the upgrade system that can correspond to each replacement of the old. Modify nand to support startup. The specific ideas are:
1. Use the white rabbit to upgrade nand offline to 11.0.1
2. Extract the upgraded nand
3. Modify full.00.bin in nand, replace 4 files, let this modified nand support boot
4.restore"
if this method works on future Nintendo firmware updates, then there is no need to worry or switch to atmosphere

source?
 
Status
Not open for further replies.
General chit-chat
Help Users
    Psionic Roshambo @ Psionic Roshambo: Them duke boys are at it again!